> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agent Conversations

> List all conversation sessions for an agent.

Returns a paginated list of conversations with summary information.
Use this to:
- View conversation history
- Audit agent interactions
- Find specific conversations
- Track agent usage

Example response:
```json
{
  "sessions": [
    {
      "conversation_id": "conv-123",
      "created_at": "2025-11-25T10:00:00Z",
      "updated_at": "2025-11-25T10:05:00Z",
      "message_count": 12,
      "last_message_preview": "Thank you for your help!"
    }
  ],
  "total": 45,
  "limit": 10,
  "offset": 0
}
```



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json get /agents/{agent_id}/conversations
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /agents/{agent_id}/conversations:
    get:
      tags:
        - agent-sessions
      summary: List Agent Conversations
      description: |-
        List all conversation sessions for an agent.

        Returns a paginated list of conversations with summary information.
        Use this to:
        - View conversation history
        - Audit agent interactions
        - Find specific conversations
        - Track agent usage

        Example response:
        ```json
        {
          "sessions": [
            {
              "conversation_id": "conv-123",
              "created_at": "2025-11-25T10:00:00Z",
              "updated_at": "2025-11-25T10:05:00Z",
              "message_count": 12,
              "last_message_preview": "Thank you for your help!"
            }
          ],
          "total": 45,
          "limit": 10,
          "offset": 0
        }
        ```
      operationId: list_agent_conversations_agents__agent_id__conversations_get
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Agent Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Number of sessions to return
            default: 10
            title: Limit
          description: Number of sessions to return
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Offset for pagination
            default: 0
            title: Offset
          description: Offset for pagination
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SessionListResponse:
      properties:
        sessions:
          items:
            $ref: '#/components/schemas/SessionSummary'
          type: array
          title: Sessions
        total:
          type: integer
          title: Total
        limit:
          type: integer
          title: Limit
        offset:
          type: integer
          title: Offset
      type: object
      required:
        - sessions
        - total
        - limit
        - offset
      title: SessionListResponse
      description: List of conversation sessions.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SessionSummary:
      properties:
        conversation_id:
          type: string
          title: Conversation Id
        created_at:
          type: string
          title: Created At
        updated_at:
          type: string
          title: Updated At
        message_count:
          type: integer
          title: Message Count
        last_message_preview:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Message Preview
      type: object
      required:
        - conversation_id
        - created_at
        - updated_at
        - message_count
      title: SessionSummary
      description: Summary of a conversation session.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````